<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body class="flex-column">
    <sqtm-core-label
      class="m-10"
      [text]="getInfoText(assignableUsers) | translate"
    >
    </sqtm-core-label>
    <sqtm-core-user-list-selector
      class="flex full-width"
      [showDropShadow]="false"
      [users]="getAssignableUsersAsList()"
      (userToggled)="changeUsersSelection($event)"
    />
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      [disabled]="!hasSelectedItems()"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
